=== debian/changelog ===
symbiosis-common (2017:425~13233.c61d9e8c) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- telyn <telyn@bytemark.co.uk>  Fri, 7 Jul 2017 15:48:23 +0100

symbiosis-common (2017:0424) stable; urgency=medium

  * Updated copyright to new machine-readable format.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:47:58 +0100

symbiosis-common (2017:0328) stable; urgency=medium

  * Add symbiosis-generate-dhparams, which is used by other packages.

 -- Telyn Roat <telyn@bytemark.co.uk>  Tue, 28 Mar 2017 13:25:34 +0100

symbiosis-common (2015:1221) stable; urgency=medium

  * Rationalise testing of valid domain names into a method. 
  * Update letsencrypt tests to work with 0.3.5 of ruby-acme-client.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:44:32 +0100

symbiosis-common (2015:1220) stable; urgency=medium

  * Allow underscores in hostnames.
  * Clean up ACME challenge files after validation.
  * Fixed symbiosis-ssl manpage.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 09 Aug 2016 17:34:57 +0100

symbiosis-common (2015:1218) stable; urgency=medium

  * The current certificate is now marked for replacement if it is deemed
    invalid by OpenSSL.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 25 May 2016 15:45:59 +0100

symbiosis-common (2015:1217) stable; urgency=medium

  * Added --list and --select options for symbiosis-ssl
  * Self-signed certs are no longer chosen for roll-over unless the SSL
    provider is explcitly set to self-signed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 May 2016 22:19:40 +0100

symbiosis-common (2015:1216) stable; urgency=medium

  * Raise an error if the getpwent memory bug hits (closes #12783).
  * Added more output to symbiosis-ssl
  * Renew certificates at 21 days instead of 10, averting emails from
    LetsEncrypt.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 16 May 2016 12:13:26 +0100

symbiosis-common (2015:1215) stable; urgency=medium

  * Rejigged the conditions that trigger generation and rollover of
    certificates.
  * The next certificate name is now based on the contents of the ssl/sets/
    directory rather than the sets that are available for use.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jan 2016 15:22:48 +0000

symbiosis-common (2015:1214) stable; urgency=medium

  * Retry (up to 5 times) if LetsEncrypt return a bad nonce error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 15:43:55 +0000

symbiosis-common (2015:1213) stable; urgency=medium

  * Don't give duff emails (with newlines) to letsencrypt.
  * More output is given when the letsencrypt verification step fails.
  * The first named domain will be used as the CN now.
  * Added --force flag to re-request certificates.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 12:03:30 +0000

symbiosis-common (2015:1212) stable; urgency=medium

  * Only poll the LetsEncrypt servers whilst the certificate request is still
    pending, rather than waiting until it is verified.
  * Fixed up --help opion to commands to output help.
  * Fixed "!! Failed: Error creating new authz :: DNS name was empty" error.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 19 Jan 2016 11:40:35 +0000

symbiosis-common (2015:1211) stable; urgency=medium

  * Added ruby-test-unit as an explicit depends.
  * Removed ruby-mocha, ruby-webmock and ruby-acme-client from build-deps, and
    added them to the dependencies for the package itself for testing.
  * Utils#get_param now returns nil if the file is missing/unreadable.
  * Added Utils#get_param_from_dir_stack.
  * Refactored SSL code to use "certificate sets", allowing SSL certificate
    rollover.
  * Added "letsencrypt" as an SSL provider.
  * Added a "selfsigned" provider to mirror the letsencrypt class.
  * Introduced new symbiosis-ssl command to handle all this. This gets run on
    a weekly basis to do rollover.
  * The DKIM selector code has been tidied to work if the hostname doesn't
    match the selector regex.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:47:43 +0000

symbiosis-common (2015:1106) stable; urgency=medium

  * Added dependency on make.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 06 Nov 2015 15:08:22 +0000

symbiosis-common (2015:1105) stable; urgency=medium

  * Added Makefile in /etc/ssl to generate certificate, key, and combined form
    of certificate, bundle, and key, which is required for the FTP and email
    servers.  Any files that don't verify in the existing set up are moved out
    of the way.
  * The makefile can also generate certificate requests.
  * Keys generated by the makefile will be owned by the ssl-cert group if the
    makefile is run as root.  This is for Exim to be able to open them.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 05 Nov 2015 22:54:20 +0000

symbiosis-common (2015:1027) stable; urgency=medium

  * Added Symbiosis::Host#fqdn method.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 27 Oct 2015 22:53:44 +0000

symbiosis-common (2015:1012) stable; urgency=medium

  * Tidied up password hashing code to remove unused variable.
  * Removed unused variable in the DKIM code.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 12 Oct 2015 14:18:24 +0100

symbiosis-common (2015:0825) stable; urgency=medium

  * Rationalised how manpages were generated for all scripts.
  * Added Symbiosis::Domain#crypt_password method.
  * Set default crypt algorithm to SHA-512.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 12:38:05 +0100

symbiosis-common (2015:0713) stable; urgency=medium

  * Depend upon `cracklib-runtime` package so password testing works.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 13 Jul 2015 09:33:09 +0000

symbiosis-common (2015:0618) stable; urgency=medium

  * Added 5.28.56.0/21 to the Bytemark ranges.
  * Updated DKIM code to do what the documentation says it should do.

