=== debian/changelog ===
symbiosis-common (2018:0616) stable; urgency=medium

  * Rename deprecated 'File.exists?' call to 'File.exist?' in 'config_file.rb'. 
  * Add the admin user to the www-data group by default. 
  * Fix blank man pages for symbiosis-common scripts.
  * Fix up symbiosis-skel path

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Sat, 16 Jun 2018 23:44:10 +0100

symbiosis-common (2017:0901) stable; urgency=medium

  * Update postinstall hostname check to ensure HOSTNAME is qualfied.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 01 Sep 2017 09:28:20 +0100

symbiosis-common (2017:0830) stable; urgency=medium

  * Add support for running hooks on SSL certificate updates.
    See symbiosis-ssl's man page for more details.

 -- Telyn Roat <telyn@bytemark.co.uk>  Wed, 30 Aug 2017 11:04:32 +0100

symbiosis-common (2017:0818) stable; urgency=medium

  * Added diff option for Symbiosis::ConfigFile.
  * Applied rubocop to symbiosis-ssl script.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:23:22 +0100

symbiosis-common (2015:1222) oldstable; urgency=medium

  * Ensure manpages are built.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jul 2017 16:09:40 +0100
