=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby --with-systemd

override_dh_installinit:
	# This service is called by symbiosis-skel.path, so no need to do
	# anything other than install it.
	dh_installinit --no-start --no-scripts --name symbiosis-skel
	# GROSS HACK.  dh_installinit doesn't seem to support systemd units
	# other than service, so install it directly.
	dh_install debian/symbiosis-skel.path lib/systemd/system/
	dh_systemd_enable symbiosis-skel.path
	dh_systemd_start symbiosis-skel.path

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean
