=== debian/changelog ===
symbiosis-common (2018:617~50358.a74af5e7) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 22 Jun 2018 07:56:39 +0100
