=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: James Carter <jcarter@bytemark.co.uk>
 Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
-Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man
+Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, dh-systemd
 Standards-Version: 3.9.6
 XS-Ruby-Versions: all
