## symbiosis-common 0901

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(RM) -r man
 
 test:
-	ruby -I./lib ./bin/symbiosis-test test.d/
+	ruby ./bin/symbiosis-test test.d/
 
 .PHONY: test clean all docs
